Loading...
Searching...
No Matches
Dune::Amg::Transfer< V, V1, SequentialInformation > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

`#include <dune/istl/paamg/transfer.hh>`

Inheritance diagram for Dune::Amg::Transfer< V, V1, SequentialInformation >:

## Public Types

typedef V | Vertex
typedef V1 | Vector
typedef RedistributeInformation< SequentialInformation > | Redist

## Public Member Functions

template<typename T>
void | prolongateVector (const AggregatesMap< Vertex > &aggregates, Vector &coarse, Vector &fine, Vector &fineRedist, T damp, const SequentialInformation &comm, const Redist &redist)
template<typename T>
void | prolongateVector (const AggregatesMap< Vertex > &aggregates, Vector &coarse, Vector &fine, T damp, const SequentialInformation &comm)

## Static Public Member Functions

template<typename T1>
static void | prolongateVector (const AggregatesMap< Vertex > &aggregates, Vector &coarse, Vector &fine, Vector &fineRedist, T1 damp, const SequentialInformation &comm=SequentialInformation(), const Redist &redist=Redist())
template<typename T1>
static void | prolongateVector (const AggregatesMap< Vertex > &aggregates, Vector &coarse, Vector &fine, T1 damp, const SequentialInformation &comm=SequentialInformation())
static void | restrictVector (const AggregatesMap< Vertex > &aggregates, Vector &coarse, const Vector &fine, const SequentialInformation &comm)

## Member Typedef Documentation

## Redist

template<class V, class V1>

typedef RedistributeInformation<SequentialInformation> Dune::Amg::Transfer< V, V1, SequentialInformation >::Redist

## Vector

template<class V, class V1>

typedef V1 Dune::Amg::Transfer< V, V1, SequentialInformation >::Vector

## Vertex

template<class V, class V1>

typedef V Dune::Amg::Transfer< V, V1, SequentialInformation >::Vertex

## Member Function Documentation

## prolongateVector() [1/2]

template<class V, class V1>
template<typename T1>

void Dune::Amg::Transfer< V, V1, SequentialInformation >::prolongateVector | ( | const AggregatesMap< Vertex > & | aggregates,
|  | Vector & | coarse,
|  | Vector & | fine,
|  | T1 | damp,
|  | const SequentialInformation & | comm = SequentialInformation() )

static

## prolongateVector() [2/2]

template<class V, class V1>
template<typename T1>

void Dune::Amg::Transfer< V, V1, SequentialInformation >::prolongateVector | ( | const AggregatesMap< Vertex > & | aggregates,
|  | Vector & | coarse,
|  | Vector & | fine,
|  | Vector & | fineRedist,
|  | T1 | damp,
|  | const SequentialInformation & | comm = SequentialInformation(),
|  | const Redist & | redist = Redist() )

static

The documentation for this class was generated from the following file:

- transfer.hh